Skip to content
Start here

Create Silences

alerting.silences.create(SilenceCreateParams**kwargs) -> SilenceCreateResponse
POST/accounts/{account_id}/alerting/v3/silences

Creates a new silence for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Notifications WriteAccount Settings Write
ParametersExpand Collapse
account_id: str

The account id

maxLength32
body: Iterable[Body]
end_time: Optional[str]

When the silence ends.

policy_id: Optional[str]

The unique identifier of a notification policy

maxLength32
start_time: Optional[str]

When the silence starts.

ReturnsExpand Collapse
class SilenceCreateResponse:
errors: List[Error]
message: str
code: Optional[int]
minimum1000
messages: List[Message]
message: str
code: Optional[int]
minimum1000
success: Literal[true]

Whether the API call was successful

Create Silences

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
silence = client.alerting.silences.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    body=[{}],
)
print(silence.errors)
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "messages": [
    {
      "message": "message",
      "code": 1000
    }
  ],
  "success": true
}